EM FHPort/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/it |Name=EM FHPort |Name/it=EM FHPort |MenuLocation=EM → FHPort |Workbenches=EM |Shortcut=E P |SeeAlso=EM FHNode, EM_FHSe...")
(Updating to match new version of source page)
 
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
|[[EM_FHEquiv|FHEquiv]]
|[[EM_FHSolver|FHSolver]]
|[[EM_Workbench|EM]]
|IconL=EM_FHEquiv.svg
|IconR=EM_FHSolver.svg
|IconC=EMWorkbench.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/it
{{GuiCommand/it
|Name=EM FHPort
|Name=EM FHPort
|Name/it=EM FHPort
|Name/it=EM FHPort
|MenuLocation=EM → FHPort
|MenuLocation=EM → FHPort
|Workbenches=[[EM Workbench/it|EM]]
|Workbenches=[[EM Workbench/it|EM]] (add-on)
|Shortcut=E P
|Shortcut={{KEY|E}} {{KEY|P}}
|SeeAlso=[[EM_FHNode/it|EM FHNode]], [[EM_FHSegment/it|EM FHSegment]], [[EM_FHPath/it|EM FHPath]], [[EM_FHPlane/it|EM FHPlane]], [[EM_FHEquiv/it|EM FHEquiv]],
|SeeAlso=[[EM_FHNode/it|EM FHNode]], [[EM_FHSegment/it|EM FHSegment]], [[EM_FHPath/it|EM FHPath]], [[EM_FHPlane/it|EM FHPlane]], [[EM_FHEquiv/it|EM FHEquiv]],
|Version=0.17 (Add-on)
|Version=0.17
}}
}}
</div>


==Description==
==Descrizione==


The FHPort tool creates a FastHenry port between two FHNode objects.
The FHPort tool creates a FastHenry port between two FHNode objects.


[[Image:EM_FHPort_Example.png]]
[[Image:EM_FHPort_Example.png]]

{{Caption|FastHenry FHPort}}
{{Caption|FastHenry FHPort}}


==How to use==
==Usage==


The FHPort object is based on the two existing FHNodes between which it will create a FastHenry port.
The FHPort object is based on the two existing FHNodes between which it will create a FastHenry port.


# Select two [[EM_FHNode|FHNode]] objects
# Select two [[Image:EM_FHNode.svg|24px]] [[EM_FHNode|FHNode]] objects
# Press the {{Button|[[Image:EM_FHPort.svg|16px]] [[EM_FHPort|EM FHPort]]}} button, or press {{KEY|E}} then {{KEY|P}} keys.
# Press the {{Button|[[Image:EM_FHPort.svg|16px]] [[EM_FHPort|EM FHPort]]}} button, or press {{KEY|E}} then {{KEY|P}} keys.


===Remarks:===
===Remarks===


* The first node you select is the positive node of the port, and the arrow that is the shape of the FHPort object will point in this direction.
* The first node you select is the positive node of the port, and the arrow that is the shape of the FHPort object will point in this direction.
Line 36: Line 48:
==Scripting==
==Scripting==


{{Emphasis|See also:}} [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

The FHPort object can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:


The FHPort object can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
{{Code|code=
port = makeFHPort(nodePos=None,nodeNeg=None,name='FHPort')
port = makeFHPort(nodePos=None,nodeNeg=None,name='FHPort')
}}
}}

* Creates a {{incode|FHPort}} object.
* Creates a {{incode|FHPort}} object.
* {{incode|nodePos}} is the positive node [[EM_FHNode|FHNode]] object of the FastHenry port.
* {{incode|nodePos}} is the positive node [[EM_FHNode|FHNode]] object of the FastHenry port.
Line 48: Line 62:


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, EM
import FreeCAD, EM
Line 57: Line 72:
}}
}}


{{clear}}
[[Category:User Documentation]]


{{Docnav
[[Category:Addons]]
|[[EM_FHEquiv|FHEquiv]]
|[[EM_FHSolver|FHSolver]]
|[[EM_Workbench|EM]]
|IconL=EM_FHEquiv.svg
|IconR=EM_FHSolver.svg
|IconC=EMWorkbench.svg
}}


{{EM Tools navi{{#translation:}}}}
[[Category:External Workbenches]]
{{Userdocnavi{{#translation:}}}}

Latest revision as of 22:26, 22 November 2021

Other languages:

EM FHPort

Posizione nel menu
EM → FHPort
Ambiente
EM (add-on)
Avvio veloce
E P
Introdotto nella versione
0.17
Vedere anche
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHEquiv,

Descrizione

The FHPort tool creates a FastHenry port between two FHNode objects.

FastHenry FHPort

Usage

The FHPort object is based on the two existing FHNodes between which it will create a FastHenry port.

  1. Select two FHNode objects
  2. Press the EM FHPort button, or press E then P keys.

Remarks

  • The first node you select is the positive node of the port, and the arrow that is the shape of the FHPort object will point in this direction.

Properties

  • DatiNodePos: the positive FHNode of the FastHenry port
  • DatiNodeNeg: the negative FHNode of the FastHenry port

Scripting

See also: FreeCAD Scripting Basics.

The FHPort object can be used in macros and from the Python console by using the following function:

port = makeFHPort(nodePos=None,nodeNeg=None,name='FHPort')
  • Creates a FHPort object.
  • nodePos is the positive node FHNode object of the FastHenry port.
  • nodeNeg is the negative node FHNode object of the FastHenry port.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode_p = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode_n = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhport = EM.makeFHPort(fhnode_p, fhnode_n)